package alarm

import (
	"github.com/godbus/dbus"
	"netease_control_center/globals"
	"netease_control_center/interfaces/log"
)

const (
	DBUS_PATH           = "/netease/ihw/contnroller/alarm"
	DBUS_INTERFACE_NAME = "netease.ihw.smartaudio"
)

var (
	Methodtable = map[string]interface{}{
		"API": api,
	}
)

func init() {
	globals.Modules[globals.MODULE_ALARM] = &globals.ModInfo{
		Path:       "/netease/ihw/alarm",
		Aliase:     "netease.ihw.alarm",
		MethodMap:  &Methodtable,
		SignalChan: nil,
		Init:       true,
	}
	log.Println(log.DebugLog, "Init alarm module")
}

func api() *dbus.Error {
	log.Println(log.DebugLog, "jump into alarm api interface")
	return nil
}
